#include <iostream>
using namespace std;

int main()
{
    long long int V, p, k=0;
    cin >> V;
    while(V>0){
        p=V%10;
        V=V/10;
        if(p==1){
            k=k+1;}
        else if(p==2){
            k=k+1;}
        else if(p==3){
            k=k+2;}
        else if(p==4){
            k=k+2;}
        else if(p==5){
            k=k+1;}
        else if(p==6){
            k=k+2;}
        else if(p==7){
            k=k+2;}
        else if(p==8){
            k=k+3;}
        else if(p==9){
            k=k+3;}
        }
    cout << k;
    return 0;
}